﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Windows.Phone.Speech.Recognition;
using Windows.Phone.Speech.Synthesis;

namespace Sensors_Demos.Views
{
    public partial class WalletDemo : PhoneApplicationPage
    {
        public WalletDemo()
        {
            InitializeComponent();
        }

        // Speech Recognition  
        SpeechRecognizerUI _speechRecognizer;
        private async void speakToDevice(object sender, System.Windows.RoutedEventArgs e)
        {
            _speechRecognizer = new SpeechRecognizerUI();
            _speechRecognizer.Settings.ShowConfirmation = true;
            _speechRecognizer.Settings.ReadoutEnabled = false;
            SpeechRecognitionUIResult _result = await _speechRecognizer.RecognizeWithUIAsync();
            if (_result.ResultStatus == SpeechRecognitionUIStatus.Succeeded)
            {
                SpeechToTextBox.Text = _result.RecognitionResult.Text;
            }
        }

        // Speech Synth
        SpeechSynthesizer _speechSynth;
        private async void SpeakFromDevice(object sender, System.Windows.RoutedEventArgs e)
        {
            _speechSynth = new SpeechSynthesizer();
              await _speechSynth.SpeakTextAsync(TextToSpeechBox.Text);
        }

        List<string> allVoices;
        private void LoadInstalledVoices(object sender, System.Windows.RoutedEventArgs e)
        {
            allVoices = new List<string>();
            foreach (VoiceInformation vi in InstalledVoices.All)
            {
                string displayVoiceName = vi.Description.Replace("Microsoft", "").Replace("Mobile", "");

                allVoices.Add(displayVoiceName);
            }
            VoicesListBox.ItemsSource = allVoices;
        }

        List<SpeechRecognizerInformation> allLanguages;
        private void LoadLanguages(object sender, System.Windows.RoutedEventArgs e)
        {
            allLanguages = new List<SpeechRecognizerInformation>();
            foreach (SpeechRecognizerInformation sri in InstalledSpeechRecognizers.All)
            {
                allLanguages.Add(sri);
            }
            LanguagesListBox.ItemsSource = allLanguages;
        }
    }
}